<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/scuart.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">scuart.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano 102/112 series Smartcard UART mode (SCUART) driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for scuart.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d87/scuart_8c__incl.png" border="0" usemap="#a_std_driver_2src_2scuart_8c" alt=""/></div>
</div>
</div>
<p><a href="../../df/d4a/scuart_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaee19cdbe4e45656a56c250577c1594c7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaee19cdbe4e45656a56c250577c1594c7">SCUART_Close</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:gaee19cdbe4e45656a56c250577c1594c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable smartcard interface UART mode.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaee19cdbe4e45656a56c250577c1594c7">More...</a><br /></td></tr>
<tr class="separator:gaee19cdbe4e45656a56c250577c1594c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac5ef61f705cf44b678207aaecb2d8b35"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac5ef61f705cf44b678207aaecb2d8b35">SCUART_Open</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32baudrate)</td></tr>
<tr class="memdesc:gac5ef61f705cf44b678207aaecb2d8b35"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to enable smartcard module UART mode and set baudrate.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac5ef61f705cf44b678207aaecb2d8b35">More...</a><br /></td></tr>
<tr class="separator:gac5ef61f705cf44b678207aaecb2d8b35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b2ed639a9d9b3389a0252a3e0185ace"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2ed639a9d9b3389a0252a3e0185ace">SCUART_Read</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint8_t *pu8RxBuf, uint32_t u32ReadBytes)</td></tr>
<tr class="memdesc:ga1b2ed639a9d9b3389a0252a3e0185ace"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to read Rx data from RX FIFO.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2ed639a9d9b3389a0252a3e0185ace">More...</a><br /></td></tr>
<tr class="separator:ga1b2ed639a9d9b3389a0252a3e0185ace"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga99195e1a1d2f0b780a9ec769c5a6825a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99195e1a1d2f0b780a9ec769c5a6825a">SCUART_SetLineConfig</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32Baudrate, uint32_t u32DataWidth, uint32_t u32Parity, uint32_t u32StopBits)</td></tr>
<tr class="memdesc:ga99195e1a1d2f0b780a9ec769c5a6825a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to config smartcard UART mode line setting.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99195e1a1d2f0b780a9ec769c5a6825a">More...</a><br /></td></tr>
<tr class="separator:ga99195e1a1d2f0b780a9ec769c5a6825a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0023f5e961b902ed650fec7051b09f2b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0023f5e961b902ed650fec7051b09f2b">SCUART_SetTimeoutCnt</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TOC)</td></tr>
<tr class="memdesc:ga0023f5e961b902ed650fec7051b09f2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to set receive timeout count.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0023f5e961b902ed650fec7051b09f2b">More...</a><br /></td></tr>
<tr class="separator:ga0023f5e961b902ed650fec7051b09f2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga275c62ae8ce1ccbd4be6dd52a7ee6144"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga275c62ae8ce1ccbd4be6dd52a7ee6144">SCUART_Write</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint8_t *pu8TxBuf, uint32_t u32WriteBytes)</td></tr>
<tr class="memdesc:ga275c62ae8ce1ccbd4be6dd52a7ee6144"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is to write data into transmit FIFO to send data out.  <a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga275c62ae8ce1ccbd4be6dd52a7ee6144">More...</a><br /></td></tr>
<tr class="separator:ga275c62ae8ce1ccbd4be6dd52a7ee6144"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano 102/112 series Smartcard UART mode (SCUART) driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>10 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/05/14 1:09p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../df/d4a/scuart_8c_source.html">scuart.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
